MatrixEditCellCommand Class Reference

Matrix commands used by the undo/redo framework. More...

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixEditCellCommand:

## Public Member Functions

| MatrixEditCellCommand (MatrixModel *model, const QModelIndex &index, double valBefore, double valAfter, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

QModelIndex | d_index
MatrixModel * | d_model
double | d_val_after
double | d_val_before

## Detailed Description

Matrix commands used by the undo/redo framework.

## Constructor & Destructor Documentation

## MatrixEditCellCommand()

MatrixEditCellCommand::MatrixEditCellCommand | ( | MatrixModel * | model,
|  | const QModelIndex & | index,
|  | double | valBefore,
|  | double | valAfter,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## Member Function Documentation

## redo()

void MatrixEditCellCommand::redo | ( |  | ) |

virtual

References d_index, d_model, d_val_after, MatrixModel::matrix(), MdiSubWindow::notifyChanges(), Matrix::resetView(), and MatrixModel::setCell().

Referenced by MatrixDeleteColsCommand::~MatrixDeleteColsCommand(), MatrixDeleteRowsCommand::~MatrixDeleteRowsCommand(), MatrixPasteCommand::~MatrixPasteCommand(), MatrixSetSizeCommand::~MatrixSetSizeCommand(), MatrixSmoothCommand::~MatrixSmoothCommand(), and MatrixUndoCommand::~MatrixUndoCommand().

## undo()

void MatrixEditCellCommand::undo | ( |  | ) |

virtual

References d_index, d_model, d_val_before, MatrixModel::matrix(), MdiSubWindow::notifyChanges(), Matrix::resetView(), and MatrixModel::setCell().

Referenced by MatrixDeleteColsCommand::~MatrixDeleteColsCommand(), MatrixDeleteRowsCommand::~MatrixDeleteRowsCommand(), MatrixPasteCommand::~MatrixPasteCommand(), MatrixSetSizeCommand::~MatrixSetSizeCommand(), MatrixSmoothCommand::~MatrixSmoothCommand(), and MatrixUndoCommand::~MatrixUndoCommand().

## Member Data Documentation

## d_index

QModelIndex MatrixEditCellCommand::d_index

private

Referenced by redo(), and undo().

## d_model

MatrixModel* MatrixEditCellCommand::d_model

private

Referenced by redo(), and undo().

## d_val_after

double MatrixEditCellCommand::d_val_after

private

Referenced by redo().

## d_val_before

double MatrixEditCellCommand::d_val_before

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp